#!/bin/sh
source cs00_common.sh
PFX="${LOGDIR}/cs05"
TASK="--fifo=MAX"

TEST="A_before"
if [ -e /proc/cabi/cabi_status ] ; then
    echo "ERROR cabi enable!"
    exit 1
fi

echo "[ TEST ] ${TEST} START"
LOGNAME="${PFX}_${TEST}_${LOGNAMEBASE}"
RESULT="${LOGNAME}.result"
CSV="${LOGNAME}.csv"
cstest ${TASK} --csv=${CSV} --count=10000 --forkcb > ${RESULT}
if [ $? != 0 ] ; then
    echo "[ TEST ] ${TEST} fail"
    exit 1
fi
echo "output result ${RESULT}"
echo "output csv ${CSV}"
echo "[ TEST ] ${TEST} SUCCESS"
echo ""
echo ""
